%define major     8
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Library for reading lines from a terminal
Name:		readline
Version:	8.2
Release:	%mkrel 3
License:	GPLv3
Group:		System/Libraries
Url:		https://tiswww.case.edu/php/chet/readline/rltop.html
Source0:	https://ftp.gnu.org/gnu/readline/%{name}-%{version}.tar.gz
Source1:	https://ftp.gnu.org/gnu/readline/%{name}-%{version}.tar.gz.sig
Patch0:		readline-4.3-no_rpath.patch
Patch1:		readline-4.1-outdated.patch
Patch2:		rl-header.patch
Patch3:		rl-attribute.patch
# Official upstream patches
# Patches are converted to apply with '-p1'
Patch31:	readline-8.2-patch-1.patch

BuildRequires:	pkgconfig(ncursesw)

%description
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.

%package -n %{libname}
Summary:	Shared libraries for readline
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked to readline.

%package doc
Summary:	Readline documentation in GNU info format
Group:		Documentation
Requires:	%{libname} = %{version}-%{release}

%description doc
This package contains readline documentation in the GNU info format.

%package -n %{develname}
Summary:	Files for developing programs that use the readline library
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	ncursesw-devel
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.

%prep
%setup -q
%patch -P 0 -p1 -b .no_rpath
%patch -P 1 -p1 -b .outdated
%patch -P 2 -p1 -b .header
%patch -P 3 -p1 -b .attribute
%patch -P 31 -p1

# Fix upstream perm Bug #3053
chmod 644 examples/rlfe/ChangeLog

%build
%configure \
	--disable-static \
	--disable-install-examples \
	--with-curses \
	--enable-multibyte
%make_build SHLIB_LIBS="-lncursesw"

%install
%make_install

rm -rf %{buildroot}%{_docdir}/%{name}/

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files doc
%{_infodir}/*info*

%files -n %{develname}
%doc CHANGELOG CHANGES MANIFEST README USAGE
%doc doc examples support
%{_includedir}/readline/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/history.pc
%{_mandir}/man3/*.3*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 8.2-3.mga10
+ Revision: 2128149
- Rebuild for patchN deprecation

* Fri Apr 05 2024 wally <wally> 8.2-2.mga10
+ Revision: 2054679
- basesystem rebuild for i686

* Fri Oct 13 2023 daviddavid <daviddavid> 8.2-1.mga10
+ Revision: 1995983
- new version: 8.2

* Fri Mar 18 2022 umeabot <umeabot> 8.1-3.mga9
+ Revision: 1797575
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 8.1-2.mga9
+ Revision: 1740282
- add upstream patch 001 for readline 8.1

* Wed Dec 30 2020 luigiwalser <luigiwalser> 8.1-1.mga8
+ Revision: 1665490
- 8.1
- rediff patches 1 and 3
- remove upstream patch for readline 8.0

* Wed Aug 19 2020 ovitters <ovitters> 8.0-3.mga8
+ Revision: 1615985
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Tue Feb 18 2020 umeabot <umeabot> 8.0-2.mga8
+ Revision: 1542014
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 03 2020 luigiwalser <luigiwalser> 8.0-1.mga8
+ Revision: 1475892
- library major is now 8
- 8.0
- remove upstreamed patch 4
- remove patch 23 as spec said to when updating
- replace upstream 7.0 patches with upstream 8.0 patch

* Sun Sep 23 2018 umeabot <umeabot> 7.0-3.mga7
+ Revision: 1300796
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 wally <wally> 7.0-2.mga7
+ Revision: 1252538
- add upstream patch level 5 patches
- disable static build
- drop old obsoletes

* Thu Oct 19 2017 mjack <mjack> 7.0-1.mga7
+ Revision: 1172757
- Updated to version 7.0
- Rediffed the gdb.patch
- Added upstream patches : 70-001, 70-002, 70-003
- Removed patches applied in upstream : readline63-00*.patch

* Fri Feb 12 2016 umeabot <umeabot> 6.3-9.mga6
+ Revision: 958754
- Mageia 6 Mass Rebuild

* Mon Aug 31 2015 shlomif <shlomif> 6.3-8.mga6
+ Revision: 871587
- Fix for a crash with r[PgUp][PgUp]

* Fri Aug 21 2015 tmb <tmb> 6.3-7.mga6
+ Revision: 867693
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 6.3-6.mga5
+ Revision: 745237
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.3-5.mga5
+ Revision: 688628
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 luigiwalser <luigiwalser> 6.3-4.mga5
+ Revision: 664518
- add upstream patches 007 and 008

* Tue Jun 10 2014 luigiwalser <luigiwalser> 6.3-3.mga5
+ Revision: 635413
- add upstream patches 001, 004, 005, and 006
- add upstream patch to fix CVE-2014-2524

* Sun Apr 06 2014 dglent <dglent> 6.3-2.mga5
+ Revision: 612209
- Fix crash in python interpreter (mga#13150)

* Sat Mar 01 2014 luigiwalser <luigiwalser> 6.3-1.mga5
+ Revision: 598430
- 6.3
- rediff patches 3 and 4
- remove upstream patch 101

* Sat Oct 19 2013 umeabot <umeabot> 6.2-9.mga4
+ Revision: 527736
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 tv <tv> 6.2-8.mga4
+ Revision: 442014
- add FC patch for GDB

* Mon Jan 14 2013 umeabot <umeabot> 6.2-7.mga3
+ Revision: 380254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 6.2-6.mga3
+ Revision: 305465
- Documentation group

* Sat Jul 21 2012 colin <colin> 6.2-5.mga3
+ Revision: 273158
- Update for usrmove

* Thu Dec 29 2011 fwang <fwang> 6.2-4.mga2
+ Revision: 188691
- update license

* Thu Dec 15 2011 barjac <barjac> 6.2-3.mga2
+ Revision: 182275
- Changed Requires, Removed CFLAGS/CXXFLAGS mod, cleaned
- Change args to *FLAGS from ncurses to ncursesw
- Fix perm - bug #3053 and some cleaning
+ misc <misc>
- link with ncursesw, fix #2156

* Fri Apr 15 2011 ahmad <ahmad> 6.2-1.mga1
+ Revision: 85627
- update to 6.2
- add upstream patch 001

* Sat Jan 08 2011 blino <blino> 6.1-4.mga1
+ Revision: 655
- remove old ldconfig calls
- imported package readline

